# Copyright 2014 Trimble Navigation Ltd.
#
# License: The MIT License (MIT)
#
# A SketchUp Ruby Extension that creates simple shape objects.  More info at
# https://github.com/SketchUp/shapes

require "sketchup.rb"
require "extensions.rb"

module JWM
  module JWMShapes

    # Create the extension.
    loader = File.join(File.dirname(__FILE__), "jwm_shapes", "jwm_shapes.rb")
    extension = SketchupExtension.new("JWMShapes Tool", loader)
    extension.description = "Adapted from Shapes sample script from SketchUp.com"
    extension.version     = "2.53"
    extension.creator     = "SketchUp"
    extension.copyright   = "2014, Trimble Navigation Limited and " <<
                            "John W McClenahan"

    # Register the extension with so it show up in the Preference panel.
    Sketchup.register_extension(extension, true)

  end # module JWMShapes
end # module JWM
